Bug 857193 - Review Request: activemq - Open source messaging and Integration Patterns server
Review Request: activemq - Open source messaging and Integration Patterns server
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-13 14:48 EDT by Matt Spaulding
Modified: 2015-09-10 05:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-23 23:22:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matt Spaulding 2012-09-13 14:48:26 EDT
Spec URL: http://madsa.fedorapeople.org/activemq.spec
SRPM URL: http://madsa.fedorapeople.org/activemq-5.6.0-1.fc18.src.rpm
Description:
The most popular and powerful open source messaging and Integration Patterns
server.
Fedora Account System Username: madsa

I had posted package review requests for activemq modules separately, but after talking with people decided it better to build a single activemq package and disable the modules that cannot be built yet.

Currently, only core, jaas, and kahadb are enabled.
Comment 1 Matt Spaulding 2012-09-13 16:06:42 EDT
Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4482211
Comment 2 gil cattaneo 2012-09-19 06:16:57 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)" For detailed output of licensecheck see file:
     857193-activemq/licensecheck.txt
[x]: MUST License file installed when any subpackage combination is installed.
[!]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[-]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[-]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[-]: SHOULD SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[x]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[x]: MUST Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[x]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

Issues:
[!]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros

Rpmlint
-------
Checking: activemq-5.6.0-1.fc19.src.rpm
          activemq-core-5.6.0-1.fc19.noarch.rpm
          activemq-5.6.0-1.fc19.noarch.rpm
          activemq-kahadb-5.6.0-1.fc19.noarch.rpm
          activemq-jaas-5.6.0-1.fc19.noarch.rpm
          activemq-javadoc-5.6.0-1.fc19.noarch.rpm
activemq.src: W: invalid-url Source0: activemq-5.6.0.tar.xz
activemq-kahadb.noarch: W: spelling-error %description -l en_US onwards -> inwards, onward, on wards
6 packages and 0 specfiles checked; 0 errors, 2 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint activemq-jaas activemq
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'

Requires
--------
activemq-core-5.6.0-1.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    activeio  
    activemq = 5.6.0-1.fc19
    activemq-jaas = 5.6.0-1.fc19
    activemq-kahadb = 5.6.0-1.fc19
    activemq-protobuf  
    derby  
    geronimo-jta  
    jasypt  
    java  
    jettison  
    jpackage-utils  
    springframework-jms  

activemq-5.6.0-1.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    activemq-protobuf  
    java  
    jpackage-utils  

activemq-kahadb-5.6.0-1.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    activeio  
    activemq = 5.6.0-1.fc19
    activemq-protobuf  
    java  
    jpackage-utils  

activemq-jaas-5.6.0-1.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    activemq = 5.6.0-1.fc19
    java  
    jpackage-utils  

activemq-javadoc-5.6.0-1.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    jpackage-utils  

Provides
--------
activemq-core-5.6.0-1.fc19.noarch.rpm:
    
    activemq-core = 5.6.0-1.fc19
    osgi(org.apache.activemq.activemq-core) = 5.6.0

activemq-5.6.0-1.fc19.noarch.rpm:
    
    activemq = 5.6.0-1.fc19
    mvn(org.apache.activemq:activemq-core) = 5.6.0
    mvn(org.apache.activemq:activemq-jaas) = 5.6.0
    mvn(org.apache.activemq:activemq-parent) = 5.6.0
    mvn(org.apache.activemq:kahadb) = 5.6.0

activemq-kahadb-5.6.0-1.fc19.noarch.rpm:
    
    activemq-kahadb = 5.6.0-1.fc19
    osgi(org.apache.activemq.kahadb) = 5.6.0

activemq-jaas-5.6.0-1.fc19.noarch.rpm:
    
    activemq-jaas = 5.6.0-1.fc19
    osgi(org.apache.activemq.activemq-jaas) = 5.6.0

activemq-javadoc-5.6.0-1.fc19.noarch.rpm:
    
    activemq-javadoc = 5.6.0-1.fc19
Comment 3 gil cattaneo 2012-09-19 06:24:52 EDT
hi Matt,
can you change in %install section $RPM_BUILD_ROOT with %{buildroot}
and install in each sub packages NOTICE file as described in LICENSE file (line 107)
point/paragraph 4d
thanks
regards
Comment 4 Matt Spaulding 2012-09-19 11:39:16 EDT
Ok, made the fixes you've requested. Thanks Gil!

New Package SCM Request
=======================
Package Name: activemq
Short Description: Open source messaging and Integration Patterns server
Owners: madsa arg
Branches: f18
InitialCC: java-sig
Comment 5 Gwyn Ciesla 2012-09-19 11:41:44 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-09-19 18:59:39 EDT
activemq-5.6.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/activemq-5.6.0-3.fc18
Comment 7 Fedora Update System 2012-09-20 01:59:55 EDT
activemq-5.6.0-3.fc18 has been pushed to the Fedora 18 testing repository.
Comment 8 Fedora Update System 2012-09-23 23:22:30 EDT
activemq-5.6.0-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 9 gil cattaneo 2015-09-10 05:34:03 EDT
Package Change Request
======================
Package Name: activemq
InitialCC: java-sig

Note You need to log in before you can comment on or make changes to this bug.